Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class RepositoryConfiguration.Security

    java.lang.Object
      org.modeshape.jcr.RepositoryConfiguration.Security

Enclosing class:
  RepositoryConfiguration

    @Immutable
    public class RepositoryConfiguration.Security

extends Object

The security-related configuration information.

Constructor Summary
`protected` | `RepositoryConfiguration.Security(Document security)`

Method Summary
`RepositoryConfiguration.AnonymousSecurity` | `getAnonymous()` Get the configuration information for the anonymous authentication provider.
`List<RepositoryConfiguration.Component>` | `getCustomProviders()` Get the ordered list of custom authentication providers.
`RepositoryConfiguration.JaasSecurity` | `getJaas()` Get the configuration information for the JAAS provider.
`protected void` | `validateCustomProviders(Problems problems)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryConfiguration.Security

    protected RepositoryConfiguration.Security(Document security)

Method Detail

### getJaas

    public RepositoryConfiguration.JaasSecurity getJaas()

  Get the configuration information for the JAAS provider.

  Returns:
    the JAAS provider configuration information; null if JAAS is not configured

### getAnonymous

    public RepositoryConfiguration.AnonymousSecurity getAnonymous()

  Get the configuration information for the anonymous authentication provider.

  Returns:
    the anonymous provider configuration information; null if anonymous users are not allowed

### getCustomProviders

    public List<RepositoryConfiguration.Component> getCustomProviders()

  Get the ordered list of custom authentication providers. Note that the JAAS and anonymous provider specified via `getJaas()` and `getAnonymous()` are not included in this list. However, should the JAAS and/or anonymous providers be specified in this list (to change the ordering), the `getJaas()` and/or `getAnonymous()` configuration components will be null.

  Returns:
    the immutable list of custom providers; never null but possibly empty

### validateCustomProviders

    protected void validateCustomProviders(Problems problems)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.